com.independentsoft.exchange

## Enum SearchItemKind

- java.lang.Object
- - java.lang.Enum<SearchItemKind>
  - - com.independentsoft.exchange.SearchItemKind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SearchItemKind>

      public enum SearchItemKind
      extends java.lang.Enum<SearchItemKind>

  The Enum SearchItemKind.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTACTS`
    `DOCS`
    `EMAIL`
    `FAXES`
    `IM`
    `JOURNALS`
    `MEETINGS`
    `NOTES`
    `POSTS`
    `RSS_FEEDS`
    `TASKS`
    `VOICE_MAIL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SearchItemKind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SearchItemKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EMAIL

          public static final SearchItemKind EMAIL

    - #### MEETINGS

          public static final SearchItemKind MEETINGS

    - #### TASKS

          public static final SearchItemKind TASKS

    - #### NOTES

          public static final SearchItemKind NOTES

    - #### DOCS

          public static final SearchItemKind DOCS

    - #### JOURNALS

          public static final SearchItemKind JOURNALS

    - #### CONTACTS

          public static final SearchItemKind CONTACTS

    - #### IM

          public static final SearchItemKind IM

    - #### VOICE_MAIL

          public static final SearchItemKind VOICE_MAIL

    - #### FAXES

          public static final SearchItemKind FAXES

    - #### POSTS

          public static final SearchItemKind POSTS

    - #### RSS_FEEDS

          public static final SearchItemKind RSS_FEEDS

  - ### Method Detail

    - #### values

          public static SearchItemKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SearchItemKind c : SearchItemKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SearchItemKind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null